import clsx from "clsx";
import {ReactNode} from "react";

interface Props {
	tooltip: string;
	disabled?: boolean;
	className?: string;
	children: ReactNode;
}

export default function Tooltip({tooltip, disabled = false, className, children}: Props) {
	return (
		<div className={clsx(!disabled && "tooltip", className)} data-tip={tooltip}>
			{children}
		</div>
	);
}
